Create Channel

Prev Next
Post
/api/v1/channels.create

Create a public channel. Optionally, include specified users. The channel creator is included as a member by default. Permission required: create-c. Channel naming has restraints following the regex filter [0-9a-zA-Z-_.]+ by default. See UTF8 Settings to modify regex filter for channel names. Channel names must not allow for any whitespaces.

Changelog

Version Description
6.4.1 Added excludeSelf param
0.13.0 Added
Header parameters
X-Auth-Token
stringRequired

The authToken of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired

The userId of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
Body parameters
Example
{
  "name": "channelname",
  "members": [
    "rocket.cat"
  ],
  "readOnly": true,
  "excludeSelf": true,
  "customFields": {
    "type": "default"
  },
  "extraData": {
    "broadcast": true,
    "encrypted": false,
    "teamId": "658441562dd9f928ad9951aa"
  }
}
Expand All
object
name
string Required

The name of the channel.

members
Array of string

An array of the users to be added to the channel when it is created.

string
readOnly
boolean

Set if the channel is read only or not. It is false by default.

excludeSelf
boolean

If set to true, the user calling the endpoint is not automatically added as a member of the channel. The default value is false.

customFields
object

If you have defined custom fields for your workspace, you can provide them in this object parameter. For details, see the Custom Fields document.

extraData
object

Additional channel settings applied at creation. For more information, see Channels.

broadcast
boolean

Whether the channel should be a broadcast room.

encrypted
boolean

Whether the channel should be encrypted.

teamId
string

An existing team ID to associate with this channel. Requires the create-team-channel permission.

topic
string

The topic of the channel.

federated
boolean

Whether the channel should be federated (Matrix federation).

Responses
200

OK

Example
{
  "channel": {
    "_id": "ByehQjC44FwMeiLbX",
    "name": "channelname",
    "t": "c",
    "usernames": [
      "example"
    ],
    "msgs": 0,
    "u": {
      "_id": "aobEdbYhXfu5hkeqG",
      "username": "example"
    },
    "ts": "2016-05-30T13:42:25.304Z"
  },
  "success": true
}
Expand All
object
channel
object
_id
string
fname
string
_updatedAt
string
customFields
object
name
string
t
string
msgs
integer
usersCount
integer
u
object
_id
string
username
string
name
string
ts
string
ro
boolean
default
boolean
sysMes
boolean
success
boolean
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string